
public class Class225_Sub44 extends Class225 {

   public int anInt8767;
   public int anInt8768;
   public int anInt8769;
   public int anInt8770;
   public int anInt8771;
   public int anInt8772;
   public static short[] aShortArray8773;
   public int anInt8774;
   public int anInt8775;
   public int anInt8776;


   Class225_Sub44(RS2Buffer var1) {
      int var2 = var1.readInt_(585068772);
      this.anInt8776 = (var2 >>> 28) * 1183449561;
      this.anInt8768 = -537581167 * (var2 >>> 14 & 16383);
      this.anInt8769 = (var2 & 16383) * 569657599;
      this.anInt8767 = var1.readUnsignedByte(-700559597) * 969215761;
      this.anInt8772 = var1.readUnsignedByte(-700559597) * -606378265;
      this.anInt8774 = var1.readUnsignedByte(-700559597) * 1172324359;
      this.anInt8771 = var1.readUnsignedByte(-700559597) * -471691801;
      this.anInt8770 = var1.readUnsignedByte(-700559597) * -855179833;
      this.anInt8775 = var1.readUnsignedByte(-700559597) * -1928606413;
   }

   public static Class364 method14164(int var0, byte var1) {
      Class364 var2 = (Class364)Class364.aClass564_4523.method11959((long)var0);
      if(null != var2) {
         return var2;
      } else {
         byte[] var3 = Class364.aClass253_4585.method4547(0, var0, (byte)-65);
         var2 = new Class364();
         if(null != var3) {
            var2.method6469(new RS2Buffer(var3), (byte)-110);
         }

         var2.method6471(-608463094);
         Class364.aClass564_4523.method11958(var2, (long)var0);
         return var2;
      }
   }

   static final void method14165(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -1702356730);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class67.method1434(var3, var4, var0, 1499964296);
   }
}
